Introduction Data Product Hub provides a lightweight end-to-end experience for onboarding, searching, accessing, and delivering stable and discoverable data products across your organization. By publishing data products on the Data Product Hub, you enable teams to work faster and more efficiently. Data producers publish data products for use by the community. Data consumers access the data products for help with business decisions. The Data Product Hub API provides programmatic control for creating and managing data products. Data Product Hub SDKs for Java, Node, Python, and Go are available to access the API from your code. The client libraries that are provided by the SDKs implement best practices for using the API and reduce the amount of required code. The tab for each language includes code examples that demonstrate how to use the client libraries. For more information about using IBM Cloud SDKs, see the IBM Cloud SDK Common projecthttps://github.com/IBM/ibm-cloud-sdk-common on GitHub. For instructions on how to use Data Product Hub, see Data Product Hubhttps://dataplatform.cloud.ibm.com/docs/content/wsj/getting-started/welcome-main.html?context=dph. This documentation describes the Java SDKhttps://github.com/IBM/data-product-exchange-java-sdk version 0.0.5. This documentation describes the Node SDKhttps://github.com/IBM/data-product-exchange-node-sdk version version 0.0.5. This documentation describes the Python SDKhttps://github.com/IBM/data-product-exchange-python-sdk version version 0.0.5. This documentation describes the Go SDKhttps://github.com/IBM/data-product-exchange-go-sdk version version 0.0.5. Installing the Java SDK Maven xml Method Path Summary POST /data_product_exchange/v1/bucket Create a new Bucket GET /data_product_exchange/v1/bucket/validate/{bucket_name} Validate the Bucket Existence GET /data_product_exchange/v1/configuration/initialize/status Get resource initialization status GET /data_product_exchange/v1/configuration/credentials Get service id credentials POST /data_product_exchange/v1/configuration/initialize Initialize resources GET /data_product_exchange/v1/configuration/delivery List delivery method configurations PATCH /data_product_exchange/v1/configuration/delivery Update delivery configuration POST /data_product_exchange/v1/configuration/rotate_credentials Rotate credentials for a Data Product Hub instance POST /data_product_exchange/v1/data_asset/visualization Create visualization asset and initialize profiling for the provided data assets POST /data_product_exchange/v1/data_asset/visualization/reinitiate Reinitiate visualization for an asset GET /data_product_exchange/v1/delivery_method List delivery methods POST /data_product_exchange/v1/delivery_method Create a new delivery method GET /data_product_exchange/v1/delivery_method/{delivery_method_id} Retrieve delivery method DELETE /data_product_exchange/v1/delivery_method/{delivery_method_id} Delete delivery method PATCH /data_product_exchange/v1/delivery_method/{delivery_method_id} Update a delivery method GET /data_product_exchange/v1/domains Retrieve a list of data product domains POST /data_product_exchange/v1/domains Create new data product domain POST /data_product_exchange/v1/domains/{domain_id}/subdomains Create data product subdomains for a specific domain identified by id GET /data_product_exchange/v1/domains/{domain_id} Retrieve a data product domain or subdomain identified by id DELETE /data_product_exchange/v1/domains/{domain_id} Delete a data product domain identified by id PATCH /data_product_exchange/v1/domains/{domain_id} Update the data product domain identified by ID GET /data_product_exchange/v1/domains/{domain_id}/contract_templates Retrieve all contract templates in a domain by id GET /data_product_exchange/v1/domains/{domain_id}/data_products Retrieve all data products in a domain specified by id or any of it's subdomains POST /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/documents/{document_id}/complete Complete a contract document upload operation GET /data_product_exchange/v1/data_products/{data_product_id}/drafts Retrieve a list of data product drafts POST /data_product_exchange/v1/data_products/{data_product_id}/drafts Create a new draft of an existing data product POST /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/documents Upload a contract document to the data product draft contract terms POST /data_product_exchange/v1/data_products/{data_product_id}/drafts/data_quality/test_data_contract Test data contract with DQ GET /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id} Get a draft of an existing data product DELETE /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id} Delete a data product draft identified by ID PATCH /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id} Update the data product draft identified by ID GET /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/documents/{document_id} Get a contract document DELETE /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/documents/{document_id} Delete a contract document PATCH /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/documents/{document_id} Update a contract document GET /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id} Retrieve a data product contract terms identified by id PUT /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id} Update contract terms by id PATCH /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id} Update a contract terms property GET /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/contract_terms/{contract_terms_id}/format Retrieve a data product contract terms identified by id in specified format GET /data_product_exchange/v1/data_products/{data_product_id}/drafts/data_quality/test_data_contract/{data_contract_id}/test_results/{test_run_id} Get data contract test results POST /data_product_exchange/v1/data_products/{data_product_id}/drafts/{draft_id}/publish Publish a draft of an existing data product GET /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id} Get a release of an existing data product PATCH /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id} Update the data product release identified by ID GET /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id}/contract_terms/{contract_terms_id}/documents/{document_id} Get a contract document GET /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id}/contract_terms/{contract_terms_id} Retrieve a published data product contract terms identified by id GET /data_product_exchange/v1/data_products/{data_product_id}/releases Retrieve a list of data product releases GET /data_product_exchange/v1/data_products/{data_product_id}/releases/state/retired Retrieve a list of retired data product releases (latest version only) POST /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id}/retire Retire a release of an existing data product POST /data_product_exchange/v1/data_products/{data_product_id}/releases/{release_id}/revoke_access Revoke access from Data Product subscriptions GET /data_product_exchange/v1/data_product_revoke_access/job_runs Access revoke status of the subscriptions against the data product release id GET /data_product_exchange/v1/data_products Retrieve a list of data products POST /data_product_exchange/v1/data_products Create a new data product GET /data_product_exchange/v1/data_products/{data_product_id} Retrieve a data product identified by id POST /data_product_exchange/v1/subscriptions Create a subscription to a data product GET /data_product_exchange/v1/workflow_definitions Get a list of workflow definitions POST /data_product_exchange/v1/workflow_definitions Create a new custom workflow definition GET /data_product_exchange/v1/workflow_definitions/{workflow_definition_id} Get a workflow definition identified by its id DELETE /data_product_exchange/v1/workflow_definitions/{workflow_definition_id} Delete a workflow definition identified by its id PATCH /data_product_exchange/v1/workflow_definitions/{workflow_definition_id} Update the workflow definition identified by ID GET /data_product_exchange/v1/workflow_settings Get catalog workflow settings PATCH /data_product_exchange/v1/workflow_settings Get catalog workflow settings